Bug 829704 - Add support for gateway messaging priority in the ESB editor
Add support for gateway messaging priority in the ESB editor
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Tooling (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity high
: CR1
: 5.3.0 GA
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 07:12 EDT by Len DiMaggio
Modified: 2012-06-21 15:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 15:09:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-11868 None Closed Add support for gateway messaging priority in the ESB editor 2012-06-21 15:08:39 EDT

  None (edit)
Description Len DiMaggio 2012-06-07 07:12:43 EDT
Description of problem:

See link to: https://issues.jboss.org/browse/JBIDE-11868

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 JBoss JIRA Server 2012-06-07 14:04:55 EDT
Viacheslav Kabanovich <scabanovich@exadel.com> updated the status of jira JBIDE-11868 to Resolved
Comment 2 JBoss JIRA Server 2012-06-07 14:04:55 EDT
Viacheslav Kabanovich <scabanovich@exadel.com> made a comment on jira JBIDE-11868

Committed to trunk. Please let me know if changes must be committed into some branch.
Comment 3 JBoss JIRA Server 2012-06-08 02:50:15 EDT
Max Rydahl Andersen <max.andersen@redhat.com> updated the status of jira JBIDE-11868 to Reopened
Comment 4 JBoss JIRA Server 2012-06-08 02:50:15 EDT
Max Rydahl Andersen <max.andersen@redhat.com> made a comment on jira JBIDE-11868

reopen for proper fix:

Slava, its for 3.3.x (fix is 3.3.0.CR1-SOA) so needs to go into the branch too.

I don't see any commits with JBIDE-11868 in it under the source tab so cannot easily evaluate if ok to apply.

Can you attach the patch to consider?

The main issue here is that it must not require any changes in the core plugins, only in ESB.
Comment 5 JBoss JIRA Server 2012-06-08 12:03:00 EDT
Viacheslav Kabanovich <scabanovich@exadel.com> made a comment on jira JBIDE-11868

Changes are limited by ESB plugin.
Comment 6 JBoss JIRA Server 2012-06-08 20:05:42 EDT
Viacheslav Kabanovich <scabanovich@exadel.com> updated the status of jira JBIDE-11868 to Resolved
Comment 7 JBoss JIRA Server 2012-06-08 20:05:42 EDT
Viacheslav Kabanovich <scabanovich@exadel.com> made a comment on jira JBIDE-11868

Committed to 3.3.x
Comment 8 JBoss JIRA Server 2012-06-21 15:08:39 EDT
Len DiMaggio <ldimaggi@redhat.com> updated the status of jira JBIDE-11868 to Closed
Comment 9 JBoss JIRA Server 2012-06-21 15:08:39 EDT
Len DiMaggio <ldimaggi@redhat.com> made a comment on jira JBIDE-11868

http://www.qa.jboss.com/binaries/RHDS/updates/development/5.0.0.CR1.soa-tooling/

Version: 5.0.0.GA
Build id: v20120615-1714-H213-GA
Build date: 20120615-1714

Verified to support saving a value of 0-9 as is defined in the user docs

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_SOA_Platform/5/html-single/Administration_Guide/index.html#JMS_Message_Prioritization

Note You need to log in before you can comment on or make changes to this bug.